Accounts
Connect a PieFed account using instance credentials
POST
/accounts/piefed/loginAuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/accounts/piefed/login" \ -H "Content-Type: application/json" \ -d '{ "instance_url": "string", "password": "string", "username": "string", "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/FediverseLoginResponse.json", "account_id": "string", "account_ids": [ "string" ], "connection_id": "string", "open_fresh_composer": true, "options": [ { "avatar_url": "string", "description": "string", "display_name": "string", "extra": { "property1": "string", "property2": "string" }, "id": "string", "kind": "string", "username": "string" } ], "selection_required": true, "workspace_id": "string"}